> ## Name

> tex1Dfetch - performs an unfiltered texture lookup in a given sampler.

> ## Synopsis

>     float4 tex1Dfetch(sampler1D samp, int4 s)
>     float4 tex1Dfetch(sampler1D samp, int4 s, int texelOff)

>     int4 tex1Dfetch(isampler1D samp, int4 s)
>     int4 tex1Dfetch(isampler1D samp, int4 s, int texelOff)

>     unsigned int4 tex1Dfetch(usampler1D samp, int4 s)
>     unsigned int4 tex1Dfetch(usampler1D samp, int4 s, int texelOff)

> ## Parameters

> samp
>   Sampler to lookup.
> s
>   Coordinates to perform the lookup. The level of detail is stored in the last component of the coordinate vector.
> texelOff
>   Offset to be added to obtain the final texel.

> ## Description

> Performs an unfiltered texture lookup in sampler samp using coordinates s. The level of detail is provided by the last component of the coordinate vector. May use texel offset texelOff to compute final texel.

> ## Profile Support

> tex1Dfetch is only supported in gp4 and newer profiles.

> ## See Also

> tex1D, tex1DARRAYfetch